> ## Documentation Index
> Fetch the complete documentation index at: https://docs.claap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete recording view

> Permanently delete a recording view. This action cannot be undone.

Permanently deletes a recording view. This action cannot be undone. Private views cannot be accessed through the API and are reported as not found.


## OpenAPI

````yaml DELETE /v1/recordings/views/{viewId}
openapi: 3.1.0
info:
  title: Claap API
  description: Development documentation
  version: 0.0.0
servers:
  - url: https://api.claap.io/
security:
  - ApiKey: []
paths:
  /v1/recordings/views/{viewId}:
    delete:
      description: Permanently delete a recording view. This action cannot be undone.
      operationId: deleteV1RecordingsViewsByViewId
      parameters:
        - in: path
          name: viewId
          schema:
            type: string
            description: Recording view identifier
          required: true
      responses:
        '200':
          description: Recording view was successfully deleted
          content:
            application/json:
              schema:
                type: object
                properties:
                  result:
                    type: object
                    properties:
                      ok:
                        type: boolean
                    required:
                      - ok
                required:
                  - result
        '404':
          description: >-
            Recording view was not found. Note that private views cannot be
            accessed through the API and are reported as not found.
components:
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-Claap-Key

````